#!/usr/bin/env python3

import random

class Node:
    def __init__(self, val):
        self.data = val
        self.left = None
        self.right = None

def insertNode(root, node):
    if root is None:
        root = node
    else:
        if root.data > node.data:
            if root.left is None:
                root.left = node
            else:
                insertNode(root.left, node)
        elif root.data < node.data:
            if root.right is None:
                root.right = node
            else:
                insertNode(root.right, node)
        else:
            print("Duplicate:", node.data)

min = 0
max = 10
myRoot = Node(max+1)

myArray = []
for x in range(min, max):
    myArray.append(x)

# Make the array random
random.shuffle(myArray)

for myInt in myArray:
    insertNode(myRoot, Node(myInt))
